import { Tooltip } from "antd";
function getcolumns(setdrawer) {
    return {
        columns: [
            {
                title: '客户编号',
                dataIndex: 'f1',
                key: 'f1',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
            },
            {
                title: '客户名称',
                dataIndex: 'f2',
                key: 'f2',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
                render: (_, row) => {
                    return (
                        <Tooltip title={row.f2}>
                            <a
                                className="table-cell"
                                onClick={() => {
                                    setdrawer((s) => ({
                                        ...s,
                                        visible: true,
                                        item: row,
                                        val: 'detailaddon',
                                        title: '客户信息'
                                    }));
                                }}
                            >
                                {row.f2}
                            </a>
                        </Tooltip>
                    );
                },
            },
            {
                title: '负责工厂',
                dataIndex: 'f3',
                key: 'f3',
                valueType: 'select',
                options: { path: '/', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
            },
            { title: '企业法人', dataIndex: 'f4', key: 'f4', colProps: { span: 8 }, hideInSearch: true },
            { title: '联系电话', dataIndex: 'f5', key: 'f5', colProps: { span: 8 }, hideInSearch: true },
            {
                title: '产值',
                dataIndex: 'f6',
                key: 'f6',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true,
            },
            {
                title: '所属行业',
                dataIndex: 'f7',
                key: 'f7',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true,
            },
            {
                title: '地址',
                dataIndex: 'f8',
                key: 'f8',
                colProps: { span: 8 },
                hideInTable: true,
                hideInSearch: true,
            },
            {
                title: '纳税人识别号',
                dataIndex: 'f9',
                key: 'f9',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '开户行银行',
                dataIndex: 'f10',
                key: 'f10',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '收款账户',
                dataIndex: 'f11',
                key: 'f11',
                colProps: { span: 8 },
                hideInSearch: true,
            },
            {
                title: '所属区域',
                dataIndex: 'f12',
                key: 'f12',
                colProps: { span: 8 },
                valueType: 'select',
                mode: 'multiple',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                options: { path: '/', params: {} },
                hideInSearch: true,
            },
            {
                title: '企业简介',
                dataIndex: 'f13',
                key: 'f13',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'textarea',
                colProps: { span: 24 },
            },
            {
                title: '附件上传（最多5个）',
                dataIndex: 'f14',
                key: 'f14',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'uploadBtn',
                colProps: { span: 24 },
                fieldProps: {
                    limit: 5,
                },
            },
        ],
        pathconfig: {
            add: '',
            edit: '',
            list: '',
            delete: '',
        },
    };
}
export default getcolumns;
